/**
 * @file lv_console.h
 *
 */

#ifndef LV_CONSOLE_H
#define LV_CONSOLE_H

#ifdef __cplusplus
extern "C" {
#endif

/*********************
 *      INCLUDES
 *********************/

/*********************
 *      DEFINES
 *********************/

/**********************
 *      TYPEDEFS
 **********************/

/*Data of check box*/
typedef struct {
    lv_obj_t * keyboard; 
    lv_obj_t * label;  /*Pointer to label*/
    lv_obj_t * page; /*Parent for all of the labels*/
} lv_console_ext_t;

/**********************
 * GLOBAL PROTOTYPES
 **********************/

/**
 * Create a console objects
 * @param par pointer to an object, it will be the parent of the new check box
 * @param copy pointer to a check box object, if not NULL then the new object will be copied from it
 * @return pointer to the created check box
 */
lv_obj_t * lv_console_create(lv_obj_t * par, const lv_obj_t * copy);


/**********************
 *      MACROS
 **********************/

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /*LV_CONSOLE_H*/
